Bug 1090075 - Path corruption
Summary: Path corruption
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-nsis
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-22 13:51 UTC by Thomas Sailer
Modified: 2015-06-09 15:07 UTC (History)
4 users (show)

Fixed In Version: mingw-nsis-2.46-15.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 15:04:40 UTC


Attachments (Terms of Use)

Description Thomas Sailer 2014-04-22 13:51:26 UTC
The common method to manipulate the Path variable from nsis installers is the use of the ${EnvVarUpdate} function.

http://nsis.sourceforge.net/Path_Manipulation

This function however corrupts the Path variable if it is longer than the maximum nsis string length, which is 1024 bytes by default.

It is therefore recommended to compile nsis with a maximum string length of 8192 bytes.

http://nsis.sourceforge.net/Special_Builds

So please add NSIS_MAX_STRLEN=8192 to sconsopts.

Comment 1 Fedora End Of Life 2015-05-29 11:38:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Thomas Sailer 2015-05-29 12:57:37 UTC
It's easy to fix, just modify sconsopts and rebuild:

%global sconsopts VERSION=%{version} PREFIX=%{_prefix} PREFIX_CONF=%{_sysconfdir} SKIPUTILS='NSIS Menu' STRIP_CP=false NSIS_MAX_STRLEN=8192

Comment 3 Richard W.M. Jones 2015-05-29 13:07:50 UTC
Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9877812

Comment 4 Fedora Update System 2015-05-29 13:25:43 UTC
mingw-nsis-2.46-15.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mingw-nsis-2.46-15.fc22

Comment 5 Fedora Update System 2015-05-29 13:26:47 UTC
mingw-nsis-2.46-15.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-nsis-2.46-15.fc21

Comment 6 Thomas Sailer 2015-05-29 17:09:11 UTC
Thank you very much!

Comment 7 Fedora Update System 2015-05-30 15:40:46 UTC
Package mingw-nsis-2.46-15.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-nsis-2.46-15.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9086/mingw-nsis-2.46-15.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-06-09 15:04:40 UTC
mingw-nsis-2.46-15.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-06-09 15:07:30 UTC
mingw-nsis-2.46-15.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.